Skip to content
Account Profile & Status

Get Account Status

This interface is used to query the current status of a specified securities account. By providing the account number account_no, it returns the account number, account state , account freeze status , and account type.

POSThttps://b-api.longbridge.xyz/v1/whaleapi/account/get

Authorization

AuthorizationstringheaderRequired

Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.

Request body application/json

account_nostringrequired

Account Number. Account Number

Responses

HTTP 200Success
Standard response envelopecodemessagedata
dataobjectdata structure
accountobjectrequired

account

Child attributes
account_nostringrequired

account_no

stateintegerrequired

state

disablebooleanrequired

disable

account_typestringrequired

account_type

HTTP 400Bad request. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 401The user is not authenticated, or the login session has expired.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 408The request timed out. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

Whale Docs